package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;

public class Vampire extends Enemy {
    public Vampire() {
        super("Vampire", 45, 0, new Sword(), "Vampire Key");
        this.xpReward = 35;
    }

    @Override
    public void attack(Entity target) {
        if (isStunned) {
            System.out.println("💫 Vampire is stunned and skipped turn!");
            isStunned = false;
            return;
        }

        int damage = 12;
        System.out.println("🦇 Vampire used \u001B[31mLifesteal Bite!\u001B[0m");
        target.takeDamage(damage);
        heal(damage / 2);
        System.out.println("🩸 Vampire healed for " + (damage / 2) + " HP!");
    }
}